Name:          cpptoml
Epoch:         1
Version:       0.1.1
Release:       2mamba
Summary:       A header-only library for parsing TOML
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/skystrife/cpptoml
Source:        https://github.com/skystrife/cpptoml.git/v%{version}/cpptoml-%{version}.tar.bz2
Patch0:        cpptoml-0.1.1-gcc-13.2.0.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: gcc-c++

%description
%{summary}.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .gcc-13.2.0

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#makeinstall -C build

mkdir -p %{buildroot}%{_bindir}
install -m 0755 build/cpptoml-parser %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_includedir}/
install -m 0644 include/cpptoml.h %{buildroot}%{_includedir}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cpptoml-parser
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/cpptoml.h
%doc README.md

%changelog
* Wed Feb 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2mamba
- fix version; specfile fixes

* Wed Feb 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- update to 0.1.1

* Sun Mar 22 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.4.0-1mamba
- package created by autospec
